petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFEDestroy

Destroys a PetscFE object

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEDestroy(PetscFE *fem)

Collective on fem

### Input Parameter

fem -the PetscFE object to destroy

### See Also

PetscFEView()

### Level

beginner

### Location

src/dm/dt/fe/interface/fe.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

PetscFEDestroy_Basic in src/dm/dt/fe/impls/basic/febasic.c
PetscFEDestroy_Composite in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFEDestroy_OpenCL in src/dm/dt/fe/impls/opencl/feopencl.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages